EDIT - feature request #7065

When updating a subtree the affected and opened taxa are not updated in name editor this needs to
be handled

11/07/2017 12:18 PM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

Is it possible to try to update existing values for open taxa (in name editor or elsewhere). This might be a general issue, however,
somehow it is irritating, to run the operation and see the value not changing in the currently opened taxon.

Or alternatively we could require to close all affected taxa, but this requires that we know which taxa are potentially affected, maybe
we need a separate service method for this.

Related issues:
Copied from EDIT - feature request #4155: Implement handler (IHandler) to tri... Closed
Copied to EDIT - feature request #7428: Open issues for updating open data wh... Closed

Associated revisions

Revision 0f80fd67 - 01/10/2018 10:21 AM - Katja Luther

ref #7065: refresh open nameEditors when using update subtree operations

Revision alab28ed - 01/10/2018 10:52 AM - Katja Luther
fix #7065: update the nameEditors also after update publish flag

Revision 63032fd5 - 01/10/2018 11:45 AM - Katja Luther

dispose old editorlnput, when setting new one

Revision 62d0d2ff - 03/02/2018 11:39 AM - Katja Luther

ref #7065: instead of creating new taxoneditorlnput reopen the name editor

History

#1 - 11/07/2017 12:41 PM - Andreas Miiller

- Copied from feature request #4155: Implement handler (IHandler) to trigger recursive setting of the publish bit on a taxon subtree added

#2 - 12/05/2017 02:02 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#3 - 01/10/2018 10:54 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|alab28eddae6d29f327¢c5421cda09528f19¢c6726.

#4 - 01/10/2018 11:35 AM - Katja Luther
- Status changed from Resolved to New

- % Done changed from 50 to 0

now the name editors are updated for all subtree operations.

#5 - 01/10/2018 11:35 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#6 - 01/30/2018 11:53 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

If there is an accepted taxon and a synonym, the accepted taxon shows the correct value (tested for "publish"). Switching to the synonym the
synonym shows the old value, switching back to accepted, the accepted shows again the old value.

#7 - 02/16/2018 12:30 PM - Katja Luther

- Target version changed from Release 4.13 to Release 5.0

#8 - 03/01/2018 11:44 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

instead of updating the editorInput of the name editor, the name editors are closed and reopened, this seems to work.
please review.

#9 - 04/27/2018 01:06 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Katja Luther wrote:
instead of updating the editorlnput of the name editor, the name editors are closed and reopened, this seems to work.

please review.

Open name editors are not checked for existing changes. When they are closed changes get lost. This is unwanted. Ask for saving before operation
starts.

#10 - 04/27/2018 01:07 PM - Andreas Miiller

Only name editors are updated but not e.g. bulk editors. | tried with set publish flag.

#11 - 05/17/2018 03:57 PM - Katja Luther

- Target version changed from Release 5.0 to Release 5.1

remaining issue needs to be handled in next release

#12 - 05/17/2018 09:15 PM - Andreas Miiller
- Copied to feature request #7428: Open issues for updating open data while subtree is updated added

#13 - 05/17/2018 09:16 PM - Andreas Miiller

- Subject changed from when updating a subtree the affected and opened taxa are not updated in name editor this needs to be handled to When
updating a subtree the affected and opened taxa are not updated in name editor this needs to be handled

- Status changed from Feedback to Closed

- Target version changed from Release 5.1 to Release 5.0

Copied open issues to new ticket.
